Skip to main content
GET
/
v1
/
customers
/
{id}
/
notes
Get all notes for a customer
curl --request GET \
  --url https://dev.flextell.ai/api/v1/customers/{id}/notes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "content": "<string>",
      "user_id": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "author": {
        "id": 123,
        "name": "<string>"
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The customer identifier

Query Parameters

search
string | null

The search query for note content.

Maximum string length: 255
per_page
integer | null

The number of notes per page.

Required range: 1 <= x <= 100
page
integer | null

The page number.

Required range: x >= 1
sort_by
enum<string> | null

Sort by a field.

Available options:
content,
created_at,
updated_at
sort_order
enum<string> | null

Sort order.

Available options:
asc,
desc
trashed
boolean | null

Include soft-deleted notes.

Response

Paginated set of NoteResource

data
NoteResource · object[]
required
meta
object
required